function [ X,Y,Z ] = geod2ECEF( a,b,lat,lon,h )
%Converts geodetic coordinates to ECEF coordinates
X = (Nrad(a,b,lat)+h)*cos(lat)*cos(lon);
Y = (Nrad(a,b,lat)+h)*cos(lat)*sin(lon);
Z = (((((b^2)/a^2))*Nrad(a,b,lat)) + h) * sin(lat); 
end

