clear;

%HENTER INN DATA FRA INNMLINGENE
[baselines1,str1,baselines2,str2,baselines3,str3,baselines4,str4,baselines5,str5,baselines6,str6,baselines7,str7,baselines8,str8,baselines9,str9,baselines10,str10] = fetchData();


%regner ut snittene av hver enkelt baselinjekomponent:
[sample_means1,sample_means2,sample_means3,sample_means4,sample_means5,sample_means6,sample_means7,sample_means8,sample_means9,sample_means10] = calculate_sample_mean(baselines1,str1,baselines2,str2,baselines3,str3,baselines4,str4,baselines5,str5,baselines6,str6,baselines7,str7,baselines8,str8,baselines9,str9,baselines10,str10);

%regner ut variansen av hver enkelt baselinjekomponent:
[sample_variances1,sample_variances2,sample_variances3,sample_variances4,sample_variances5,sample_variances6,sample_variances7,sample_variances8,sample_variances9,sample_variances10] = calculate_sample_variance(baselines1, str1, sample_means1,baselines2, str2, sample_means2,baselines3, str3, sample_means3,baselines4, str4, sample_means4,baselines5, str5, sample_means5,baselines6, str6, sample_means6,baselines7, str7, sample_means7,baselines8, str8, sample_means8,baselines9, str9, sample_means9,baselines10, str10, sample_means10);

%variansen til snittet (trenger ikke sendes til en funksjon siden det bare
%skal deles p antall observasjoner, men er mest ryddig slik
[variance_mean1,variance_mean2,variance_mean3,variance_mean4,variance_mean5,variance_mean6,variance_mean7,variance_mean8,variance_mean9,variance_mean10] = variance_mean(sample_variances1/str1(1),sample_variances2/str2(1),sample_variances3/str3(1),sample_variances4/str4(1),sample_variances5/str5(1),sample_variances6/str6(1),sample_variances7/str7(1),sample_variances8/str8(1),sample_variances9/str9(1),sample_variances10/str10(1));

%standardavvik:
[std_dev_sample1, std_dev_mean1,std_dev_sample2, std_dev_mean2,std_dev_sample3, std_dev_mean3,std_dev_sample4, std_dev_mean4,std_dev_sample5, std_dev_mean5,std_dev_sample6, std_dev_mean6,std_dev_sample7, std_dev_mean7,std_dev_sample8, std_dev_mean8,std_dev_sample9, std_dev_mean9,std_dev_sample10, std_dev_mean10] = calculate_stdev(sample_variances1, str1,sample_variances2, str2,sample_variances3, str3,sample_variances4, str4,sample_variances5, str5,sample_variances6, str6,sample_variances7, str7,sample_variances8, str8,sample_variances9, str9,sample_variances10, str10); 

% %sjekk for grovfeil, fjern comment-tegnet for  kjre kontroll p
% datasettet. Korrigert datasett Ligger i Zip-fil sammen med ukorrigert, endre filnavn i fetchData om det er nsket  kjre p ukorrigerte data.
% fprintf('Baselinjerekkeflgen er: B1-4dX, B1-4dY, B1-4dZ, B1-2dX, B1-2dY, B1-2dZ, B1-3dX, B1-3dY, B1-3dZ, B1-1dX, B1-1dY, B1-1dZ, B2-4dX, B2-4dY, B2-4dZ, B2-3dX, B2-3dY, B2-3dZ, B3-4dX, B3-4dY, B3-4dZ\n')
% doGrossErrorTest(baselines1, sample_means1, std_dev_sample1, baselines2, sample_means2, std_dev_sample2, baselines3, sample_means3, std_dev_sample3, baselines4, sample_means4, std_dev_sample4, baselines5, sample_means5, std_dev_sample5, baselines6, sample_means6, std_dev_sample6, baselines7, sample_means7, std_dev_sample7, baselines8, sample_means8, std_dev_sample8, baselines9, sample_means9, std_dev_sample9, baselines10, sample_means10, std_dev_sample10 );

%regner ut kovarians-matrisa:
[covariance1,covariance2,covariance3,covariance4,covariance5,covariance6,covariance7,covariance8,covariance9,covariance10] = calculate_covariances(baselines1, sample_means1, str1,baselines2, sample_means2, str2,baselines3, sample_means3, str3,baselines4, sample_means4, str4,baselines5, sample_means5, str5,baselines6, sample_means6, str6,baselines7, sample_means7, str7,baselines8, sample_means8, str8,baselines9, sample_means9, str9,baselines10, sample_means10, str10);

%korrelasjonskoeffisient:
[corr_coff1,corr_coff2,corr_coff3,corr_coff4,corr_coff5,corr_coff6,corr_coff7,corr_coff8,corr_coff9,corr_coff10] = calculate_corr_coffs(covariance1, str1,covariance2, str2,covariance3, str3,covariance4, str4,covariance5, str5,covariance6, str6,covariance7, str7,covariance8, str8,covariance9, str9,covariance10, str10);

%beregning av forventet kvalitet:
[stdev_exp_ghilani1,stdev_exp_ghilani2,stdev_exp_ghilani3,stdev_exp_ghilani4,stdev_exp_ghilani5,stdev_exp_ghilani6,stdev_exp_ghilani7,stdev_exp_ghilani8,stdev_exp_ghilani9,stdev_exp_ghilani10] = calculate_expected_quality( sample_means1,sample_means2,sample_means3,sample_means4,sample_means5,sample_means6,sample_means7,sample_means8,sample_means9,sample_means10 ); 
[stdev_exp_Leica1,stdev_exp_Leica2,stdev_exp_Leica3,stdev_exp_Leica4,stdev_exp_Leica5,stdev_exp_Leica6,stdev_exp_Leica7,stdev_exp_Leica8,stdev_exp_Leica9,stdev_exp_Leica10] = calculate_expected_stdev_Leica(sample_means1,sample_means2,sample_means3,sample_means4,sample_means5,sample_means6,sample_means7,sample_means8,sample_means9,sample_means10);

%Utjevning av snittkoordinatene: tall str for mlesesjon 
[estimated_observations1, Q_ll_1, s_0_1,estimated_observations2, Q_ll_2, s_0_2,estimated_observations3, Q_ll_3, s_0_3,estimated_observations4, Q_ll_4, s_0_4,estimated_observations5, Q_ll_5, s_0_5,estimated_observations6, Q_ll_6, s_0_6,estimated_observations7, Q_ll_7, s_0_7,estimated_observations8, Q_ll_8, s_0_8,estimated_observations9, Q_ll_9, s_0_9,estimated_observations10, Q_ll_10, s_0_10 ] = calculate_conditional_adjustments(covariance1,sample_means1', covariance2,sample_means2', covariance3,sample_means3', covariance4,sample_means4', covariance5,sample_means5', covariance6,sample_means6', covariance7,sample_means7', covariance8,sample_means8', covariance9,sample_means9', covariance10,sample_means10' );

%kovarians av de utjevnede koordinatene
[C_ll_1, C_ll_2, C_ll_3, C_ll_4, C_ll_5, C_ll_6, C_ll_7, C_ll_8, C_ll_9, C_ll_10] = calculate_adjusted_covariance( s_0_1,Q_ll_1, s_0_2,Q_ll_2, s_0_3,Q_ll_3, s_0_4,Q_ll_4, s_0_5,Q_ll_5, s_0_6,Q_ll_6, s_0_7,Q_ll_7, s_0_8,Q_ll_8, s_0_9,Q_ll_9, s_0_10,Q_ll_10  );

printMatrix(C_ll_1.*(10^6),'covariance1','yes');
printMatrix(C_ll_2.*(10^6),'covariance2','yes');
printMatrix(C_ll_3.*(10^6),'covariance3','yes');
printMatrix(C_ll_4.*(10^6),'covariance4','yes');
printMatrix(C_ll_5.*(10^6),'covariance5','yes');
printMatrix(C_ll_6.*(10^6),'covariance6','yes');
printMatrix(C_ll_7.*(10^6),'covariance7','yes');
printMatrix(C_ll_8.*(10^6),'covariance8','yes');
printMatrix(C_ll_9.*(10^6),'covariance9','yes');
printMatrix(C_ll_10.*(10^6),'covariance10','yes');

% printMatrix(Q_ll_1.*(10^6),'cofactor1','Yes');
% printMatrix(Q_ll_2.*(10^6),'cofactor2','Yes');
% printMatrix(Q_ll_3.*(10^6),'cofactor3','Yes');
% printMatrix(Q_ll_4.*(10^6),'cofactor4','Yes');
% printMatrix(Q_ll_5.*(10^6),'cofactor5','Yes');
% printMatrix(Q_ll_6.*(10^6),'cofactor6','Yes');
% printMatrix(Q_ll_7.*(10^6),'cofactor7','Yes');
% printMatrix(Q_ll_8.*(10^6),'cofactor8','Yes');
% printMatrix(Q_ll_9.*(10^6),'cofactor9','Yes');
% printMatrix(Q_ll_10.*(10^6),'cofactor10','Yes');

%korrelasjonsmatrise etter:
[correlation_matrix1,correlation_matrix2,correlation_matrix3,correlation_matrix4,correlation_matrix5,correlation_matrix6,correlation_matrix7,correlation_matrix8,correlation_matrix9,correlation_matrix10] = calculate_corr_coffs(C_ll_1, str1,C_ll_2, str2,C_ll_3, str3,C_ll_4, str4,C_ll_5, str5,C_ll_6, str6,C_ll_7, str7,C_ll_8, str8,C_ll_9, str9,C_ll_10, str10);

printMatrix(correlation_matrix1,'correlation1','yes');
printMatrix(correlation_matrix2,'correlation2','yes');
printMatrix(correlation_matrix3,'correlation3','yes');
printMatrix(correlation_matrix4,'correlation4','yes');
printMatrix(correlation_matrix5,'correlation5','yes');
printMatrix(correlation_matrix6,'correlation6','yes');
printMatrix(correlation_matrix7,'correlation7','yes');
printMatrix(correlation_matrix8,'correlation8','yes');
printMatrix(correlation_matrix9,'correlation9','yes');
printMatrix(correlation_matrix10,'correlation10','yes');

%standardavvik i 3D etter utjevning:
[ stdev_adjusted_data1, stdev_adjusted_data2, stdev_adjusted_data3, stdev_adjusted_data4, stdev_adjusted_data5, stdev_adjusted_data6, stdev_adjusted_data7, stdev_adjusted_data8, stdev_adjusted_data9, stdev_adjusted_data10 ] = calculate_std_dev_3D(estimated_observations1, C_ll_1, estimated_observations2, C_ll_2, estimated_observations3, C_ll_3, estimated_observations4, C_ll_4, estimated_observations5, C_ll_5, estimated_observations6, C_ll_6, estimated_observations7, C_ll_7, estimated_observations8, C_ll_8, estimated_observations9, C_ll_9, estimated_observations10, C_ll_10 );

% %regner ut den totale lengden av baselinjene
% baselineLengths = findBaselineLength(estimated_observations);


%Regner ut gjennomsnittet av de utjevnede baselinjekomponentene 
[ baseline1_2_mean, baseline1_3_mean, baseline1_4_mean, baseline2_3_mean, baseline2_4_mean, baseline3_4_mean, baselineExtra_mean, tot_mean ] = calculateBaselineMeans_adjusted( estimated_observations1,estimated_observations2,estimated_observations3,estimated_observations4,estimated_observations5,estimated_observations6,estimated_observations7,estimated_observations8,estimated_observations9,estimated_observations10 );
%Standardavvikene p snittet til disse (ser p dem som uavhengige
%observasjoner
[ baseline1_2_mean_std, baseline1_3_mean_std, baseline1_4_mean_std, baseline2_3_mean_std, baseline2_4_mean_std, baseline3_4_mean_std, baselineExtra_mean_std, tot_mean_std ] = calculateStdBaselineMeans( estimated_observations1,estimated_observations2,estimated_observations3,estimated_observations4,estimated_observations5,estimated_observations6,estimated_observations7,estimated_observations8,estimated_observations9,estimated_observations10 );

%Plotte figur over de utjevnede baselinjemlingene mot gjennomsnitt av utjevnede og "sann"
%verdi:
diff_true_mean_static = plotFigure1(estimated_observations1,estimated_observations2,estimated_observations3,estimated_observations4,estimated_observations5,estimated_observations6,estimated_observations7,estimated_observations8,estimated_observations9,estimated_observations10,   baseline1_4_mean, baseline1_2_mean, baseline1_3_mean, baseline2_4_mean, baseline2_3_mean, baseline3_4_mean, baselineExtra_mean, tot_mean);

