function [ baseline1_mean, baseline2_mean, baseline3_mean, baseline4_mean, baseline5_mean, baseline6_mean, baselineExtra_mean ] = calculateBaselineMeans( sample_means1,sample_means2,sample_means3,sample_means4,sample_means5,sample_means6,sample_means7,sample_means8,sample_means9,sample_means10, str1, str2, str3, str4, str5, str6, str7, str8, str9, str10 )
%Beregner snittet av baselinjene
%   sample_means er arrays med 21 verdier, 3 for hver baselinje hver sesjon [14x,14y,14z, 12x,12y,12z, 13x,13y,13z, 11x,11y,11z, 24x,24y,24z, 23x,23y,23z, 34x,34y,34z ]
%   str er arrays med [rader,kolonner], 1 strrelse for hver sesjon

totalNumberOfObs = str1(1) + str2(1) + str3(1) + str4(1) + str5(1) + str6(1) + str7(1) + str8(1) + str9(1) + str10(1);

%Baselinje 1 (1-4):
dX1 = ((str1(1)/totalNumberOfObs)*sample_means1(1)) + ((str2(1)/totalNumberOfObs)*sample_means2(1)) + ((str3(1)/totalNumberOfObs)*sample_means3(1)) + ((str4(1)/totalNumberOfObs)*sample_means4(1)) + ((str5(1)/totalNumberOfObs)*sample_means5(1)) + ((str6(1)/totalNumberOfObs)*sample_means6(1)) + ((str7(1)/totalNumberOfObs)*sample_means7(1)) + ((str8(1)/totalNumberOfObs)*sample_means8(1)) + ((str9(1)/totalNumberOfObs)*sample_means9(1)) + ((str10(1)/totalNumberOfObs)*sample_means10(1));
dY1 = ((str1(1)/totalNumberOfObs)*sample_means1(2)) + ((str2(1)/totalNumberOfObs)*sample_means2(2)) + ((str3(1)/totalNumberOfObs)*sample_means3(2)) + ((str4(1)/totalNumberOfObs)*sample_means4(2)) + ((str5(1)/totalNumberOfObs)*sample_means5(2)) + ((str6(1)/totalNumberOfObs)*sample_means6(2)) + ((str7(1)/totalNumberOfObs)*sample_means7(2)) + ((str8(1)/totalNumberOfObs)*sample_means8(2)) + ((str9(1)/totalNumberOfObs)*sample_means9(2)) + ((str10(1)/totalNumberOfObs)*sample_means10(2));
dZ1 = ((str1(1)/totalNumberOfObs)*sample_means1(3)) + ((str2(1)/totalNumberOfObs)*sample_means2(3)) + ((str3(1)/totalNumberOfObs)*sample_means3(3)) + ((str4(1)/totalNumberOfObs)*sample_means4(3)) + ((str5(1)/totalNumberOfObs)*sample_means5(3)) + ((str6(1)/totalNumberOfObs)*sample_means6(3)) + ((str7(1)/totalNumberOfObs)*sample_means7(3)) + ((str8(1)/totalNumberOfObs)*sample_means8(3)) + ((str9(1)/totalNumberOfObs)*sample_means9(3)) + ((str10(1)/totalNumberOfObs)*sample_means10(3));
baseline1_mean = [dX1,dY1,dZ1];

%Baselinje 2 (1-2):
dX2 = ((str1(1)/totalNumberOfObs)*sample_means1(4)) + ((str2(1)/totalNumberOfObs)*sample_means2(4)) + ((str3(1)/totalNumberOfObs)*sample_means3(4)) + ((str4(1)/totalNumberOfObs)*sample_means4(4)) + ((str5(1)/totalNumberOfObs)*sample_means5(4)) + ((str6(1)/totalNumberOfObs)*sample_means6(4)) + ((str7(1)/totalNumberOfObs)*sample_means7(4)) + ((str8(1)/totalNumberOfObs)*sample_means8(4)) + ((str9(1)/totalNumberOfObs)*sample_means9(4)) + ((str10(1)/totalNumberOfObs)*sample_means10(4));
dY2 = ((str1(1)/totalNumberOfObs)*sample_means1(5)) + ((str2(1)/totalNumberOfObs)*sample_means2(5)) + ((str3(1)/totalNumberOfObs)*sample_means3(5)) + ((str4(1)/totalNumberOfObs)*sample_means4(5)) + ((str5(1)/totalNumberOfObs)*sample_means5(5)) + ((str6(1)/totalNumberOfObs)*sample_means6(5)) + ((str7(1)/totalNumberOfObs)*sample_means7(5)) + ((str8(1)/totalNumberOfObs)*sample_means8(5)) + ((str9(1)/totalNumberOfObs)*sample_means9(5)) + ((str10(1)/totalNumberOfObs)*sample_means10(5));
dZ2 = ((str1(1)/totalNumberOfObs)*sample_means1(6)) + ((str2(1)/totalNumberOfObs)*sample_means2(6)) + ((str3(1)/totalNumberOfObs)*sample_means3(6)) + ((str4(1)/totalNumberOfObs)*sample_means4(6)) + ((str5(1)/totalNumberOfObs)*sample_means5(6)) + ((str6(1)/totalNumberOfObs)*sample_means6(6)) + ((str7(1)/totalNumberOfObs)*sample_means7(6)) + ((str8(1)/totalNumberOfObs)*sample_means8(6)) + ((str9(1)/totalNumberOfObs)*sample_means9(6)) + ((str10(1)/totalNumberOfObs)*sample_means10(6));
baseline2_mean = [dX2,dY2,dZ2];

%Baselinje 3 (1-3):
dX3 = ((str1(1)/totalNumberOfObs)*sample_means1(7)) + ((str2(1)/totalNumberOfObs)*sample_means2(7)) + ((str3(1)/totalNumberOfObs)*sample_means3(7)) + ((str4(1)/totalNumberOfObs)*sample_means4(7)) + ((str5(1)/totalNumberOfObs)*sample_means5(7)) + ((str6(1)/totalNumberOfObs)*sample_means6(7)) + ((str7(1)/totalNumberOfObs)*sample_means7(7)) + ((str8(1)/totalNumberOfObs)*sample_means8(7)) + ((str9(1)/totalNumberOfObs)*sample_means9(7)) + ((str10(1)/totalNumberOfObs)*sample_means10(7));
dY3 = ((str1(1)/totalNumberOfObs)*sample_means1(8)) + ((str2(1)/totalNumberOfObs)*sample_means2(8)) + ((str3(1)/totalNumberOfObs)*sample_means3(8)) + ((str4(1)/totalNumberOfObs)*sample_means4(8)) + ((str5(1)/totalNumberOfObs)*sample_means5(8)) + ((str6(1)/totalNumberOfObs)*sample_means6(8)) + ((str7(1)/totalNumberOfObs)*sample_means7(8)) + ((str8(1)/totalNumberOfObs)*sample_means8(8)) + ((str9(1)/totalNumberOfObs)*sample_means9(8)) + ((str10(1)/totalNumberOfObs)*sample_means10(8));
dZ3 = ((str1(1)/totalNumberOfObs)*sample_means1(9)) + ((str2(1)/totalNumberOfObs)*sample_means2(9)) + ((str3(1)/totalNumberOfObs)*sample_means3(9)) + ((str4(1)/totalNumberOfObs)*sample_means4(9)) + ((str5(1)/totalNumberOfObs)*sample_means5(9)) + ((str6(1)/totalNumberOfObs)*sample_means6(9)) + ((str7(1)/totalNumberOfObs)*sample_means7(9)) + ((str8(1)/totalNumberOfObs)*sample_means8(9)) + ((str9(1)/totalNumberOfObs)*sample_means9(9)) + ((str10(1)/totalNumberOfObs)*sample_means10(9));
baseline3_mean = [dX3,dY3,dZ3];

%Baselinje 4 (1-1):
dX4 = ((str1(1)/totalNumberOfObs)*sample_means1(10)) + ((str2(1)/totalNumberOfObs)*sample_means2(10)) + ((str3(1)/totalNumberOfObs)*sample_means3(10)) + ((str4(1)/totalNumberOfObs)*sample_means4(10)) + ((str5(1)/totalNumberOfObs)*sample_means5(10)) + ((str6(1)/totalNumberOfObs)*sample_means6(10)) + ((str7(1)/totalNumberOfObs)*sample_means7(10)) + ((str8(1)/totalNumberOfObs)*sample_means8(10)) + ((str9(1)/totalNumberOfObs)*sample_means9(10)) + ((str10(1)/totalNumberOfObs)*sample_means10(10));
dY4 = ((str1(1)/totalNumberOfObs)*sample_means1(11)) + ((str2(1)/totalNumberOfObs)*sample_means2(11)) + ((str3(1)/totalNumberOfObs)*sample_means3(11)) + ((str4(1)/totalNumberOfObs)*sample_means4(11)) + ((str5(1)/totalNumberOfObs)*sample_means5(11)) + ((str6(1)/totalNumberOfObs)*sample_means6(11)) + ((str7(1)/totalNumberOfObs)*sample_means7(11)) + ((str8(1)/totalNumberOfObs)*sample_means8(11)) + ((str9(1)/totalNumberOfObs)*sample_means9(11)) + ((str10(1)/totalNumberOfObs)*sample_means10(11));
dZ4 = ((str1(1)/totalNumberOfObs)*sample_means1(12)) + ((str2(1)/totalNumberOfObs)*sample_means2(12)) + ((str3(1)/totalNumberOfObs)*sample_means3(12)) + ((str4(1)/totalNumberOfObs)*sample_means4(12)) + ((str5(1)/totalNumberOfObs)*sample_means5(12)) + ((str6(1)/totalNumberOfObs)*sample_means6(12)) + ((str7(1)/totalNumberOfObs)*sample_means7(12)) + ((str8(1)/totalNumberOfObs)*sample_means8(12)) + ((str9(1)/totalNumberOfObs)*sample_means9(12)) + ((str10(1)/totalNumberOfObs)*sample_means10(12));
baselineExtra_mean = [dX4,dY4,dZ4];

%Baselinje 5 (2-4):
dX5 = ((str1(1)/totalNumberOfObs)*sample_means1(13)) + ((str2(1)/totalNumberOfObs)*sample_means2(13)) + ((str3(1)/totalNumberOfObs)*sample_means3(13)) + ((str4(1)/totalNumberOfObs)*sample_means4(13)) + ((str5(1)/totalNumberOfObs)*sample_means5(13)) + ((str6(1)/totalNumberOfObs)*sample_means6(13)) + ((str7(1)/totalNumberOfObs)*sample_means7(13)) + ((str8(1)/totalNumberOfObs)*sample_means8(13)) + ((str9(1)/totalNumberOfObs)*sample_means9(13)) + ((str10(1)/totalNumberOfObs)*sample_means10(13));
dY5 = ((str1(1)/totalNumberOfObs)*sample_means1(14)) + ((str2(1)/totalNumberOfObs)*sample_means2(14)) + ((str3(1)/totalNumberOfObs)*sample_means3(14)) + ((str4(1)/totalNumberOfObs)*sample_means4(14)) + ((str5(1)/totalNumberOfObs)*sample_means5(14)) + ((str6(1)/totalNumberOfObs)*sample_means6(14)) + ((str7(1)/totalNumberOfObs)*sample_means7(14)) + ((str8(1)/totalNumberOfObs)*sample_means8(14)) + ((str9(1)/totalNumberOfObs)*sample_means9(14)) + ((str10(1)/totalNumberOfObs)*sample_means10(14));
dZ5 = ((str1(1)/totalNumberOfObs)*sample_means1(15)) + ((str2(1)/totalNumberOfObs)*sample_means2(15)) + ((str3(1)/totalNumberOfObs)*sample_means3(15)) + ((str4(1)/totalNumberOfObs)*sample_means4(15)) + ((str5(1)/totalNumberOfObs)*sample_means5(15)) + ((str6(1)/totalNumberOfObs)*sample_means6(15)) + ((str7(1)/totalNumberOfObs)*sample_means7(15)) + ((str8(1)/totalNumberOfObs)*sample_means8(15)) + ((str9(1)/totalNumberOfObs)*sample_means9(15)) + ((str10(1)/totalNumberOfObs)*sample_means10(15));
baseline4_mean = [dX5,dY5,dZ5];

%Baselinje 6 (2-3):
dX6 = ((str1(1)/totalNumberOfObs)*sample_means1(16)) + ((str2(1)/totalNumberOfObs)*sample_means2(16)) + ((str3(1)/totalNumberOfObs)*sample_means3(16)) + ((str4(1)/totalNumberOfObs)*sample_means4(16)) + ((str5(1)/totalNumberOfObs)*sample_means5(16)) + ((str6(1)/totalNumberOfObs)*sample_means6(16)) + ((str7(1)/totalNumberOfObs)*sample_means7(16)) + ((str8(1)/totalNumberOfObs)*sample_means8(16)) + ((str9(1)/totalNumberOfObs)*sample_means9(16)) + ((str10(1)/totalNumberOfObs)*sample_means10(16));
dY6 = ((str1(1)/totalNumberOfObs)*sample_means1(17)) + ((str2(1)/totalNumberOfObs)*sample_means2(17)) + ((str3(1)/totalNumberOfObs)*sample_means3(17)) + ((str4(1)/totalNumberOfObs)*sample_means4(17)) + ((str5(1)/totalNumberOfObs)*sample_means5(17)) + ((str6(1)/totalNumberOfObs)*sample_means6(17)) + ((str7(1)/totalNumberOfObs)*sample_means7(17)) + ((str8(1)/totalNumberOfObs)*sample_means8(17)) + ((str9(1)/totalNumberOfObs)*sample_means9(17)) + ((str10(1)/totalNumberOfObs)*sample_means10(17));
dZ6 = ((str1(1)/totalNumberOfObs)*sample_means1(18)) + ((str2(1)/totalNumberOfObs)*sample_means2(18)) + ((str3(1)/totalNumberOfObs)*sample_means3(18)) + ((str4(1)/totalNumberOfObs)*sample_means4(18)) + ((str5(1)/totalNumberOfObs)*sample_means5(18)) + ((str6(1)/totalNumberOfObs)*sample_means6(18)) + ((str7(1)/totalNumberOfObs)*sample_means7(18)) + ((str8(1)/totalNumberOfObs)*sample_means8(18)) + ((str9(1)/totalNumberOfObs)*sample_means9(18)) + ((str10(1)/totalNumberOfObs)*sample_means10(18));
baseline5_mean = [dX6,dY6,dZ6];

%Baselinje 7 (3-4):
dX7 = ((str1(1)/totalNumberOfObs)*sample_means1(19)) + ((str2(1)/totalNumberOfObs)*sample_means2(19)) + ((str3(1)/totalNumberOfObs)*sample_means3(19)) + ((str4(1)/totalNumberOfObs)*sample_means4(19)) + ((str5(1)/totalNumberOfObs)*sample_means5(19)) + ((str6(1)/totalNumberOfObs)*sample_means6(19)) + ((str7(1)/totalNumberOfObs)*sample_means7(19)) + ((str8(1)/totalNumberOfObs)*sample_means8(19)) + ((str9(1)/totalNumberOfObs)*sample_means9(19)) + ((str10(1)/totalNumberOfObs)*sample_means10(19));
dY7 = ((str1(1)/totalNumberOfObs)*sample_means1(20)) + ((str2(1)/totalNumberOfObs)*sample_means2(20)) + ((str3(1)/totalNumberOfObs)*sample_means3(20)) + ((str4(1)/totalNumberOfObs)*sample_means4(20)) + ((str5(1)/totalNumberOfObs)*sample_means5(20)) + ((str6(1)/totalNumberOfObs)*sample_means6(20)) + ((str7(1)/totalNumberOfObs)*sample_means7(20)) + ((str8(1)/totalNumberOfObs)*sample_means8(20)) + ((str9(1)/totalNumberOfObs)*sample_means9(20)) + ((str10(1)/totalNumberOfObs)*sample_means10(20));
dZ7 = ((str1(1)/totalNumberOfObs)*sample_means1(21)) + ((str2(1)/totalNumberOfObs)*sample_means2(21)) + ((str3(1)/totalNumberOfObs)*sample_means3(21)) + ((str4(1)/totalNumberOfObs)*sample_means4(21)) + ((str5(1)/totalNumberOfObs)*sample_means5(21)) + ((str6(1)/totalNumberOfObs)*sample_means6(21)) + ((str7(1)/totalNumberOfObs)*sample_means7(21)) + ((str8(1)/totalNumberOfObs)*sample_means8(21)) + ((str9(1)/totalNumberOfObs)*sample_means9(21)) + ((str10(1)/totalNumberOfObs)*sample_means10(21));
baseline6_mean = [dX7,dY7,dZ7];
end

