function [ sigma_exp_baseline ] = expected_quality( a, PPM, baselines )
%this function returns the expected 3D quality of the baselines
n = length(baselines);
baseline_lengths = zeros(1,n/3);

counter = 1;
for i = 1:3:n
    baseline_lengths(counter) = sqrt(baselines(i)^2+baselines(i+1)^2+baselines(i+2)^2);
    counter = counter +1;
end

sigma_exp_baseline = zeros(1,length(baseline_lengths));
for i = 1:length(baseline_lengths) 
    %sigma_exp_baseline(i) = sqrt(a^2+(((baseline_lengths(i)/1000)*PPM))^2);
    sigma_exp_baseline(i) = sqrt(a^2+(((baseline_lengths(i)/1000)*PPM)/1000)^2);
end
end

