function [ std_dev ] = std_dev_3D( l_hat, C_ll )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

% %Fyller A:
% for i = 1:str(1)
%     denominator = sqrt(l_hat(i*3-2)^2+l_hat(i*3-1)^2+l_hat(i*3)^2); %nevneren er konstant for baselinja
%     for j = 1:str(2)
%         numerator = l_hat(i+((i-1)*2)+(j-1)); %finner telleren. Komplisert uttrykk siden onservasjonene er i en vektor i stedet for matrise.
%         A(i,j) = numerator/denominator;
%     end
% end
% 
% %radene i hver sin variabel:
% A1 = A(1,:);
% A2 = A(2,:);
% A3 = A(3,:);
% A4 = A(4,:);
% A5 = A(5,:);
% A6 = A(6,:);
% A7 = A(7,:);

A1 = [l_hat(1)/sqrt(l_hat(1)^2+l_hat(2)^2+l_hat(3)^2), l_hat(2)/sqrt(l_hat(1)^2+l_hat(2)^2+l_hat(3)^2), l_hat(3)/sqrt(l_hat(1)^2+l_hat(2)^2+l_hat(3)^2)];
A2 = [l_hat(4)/sqrt(l_hat(4)^2+l_hat(5)^2+l_hat(6)^2), l_hat(5)/sqrt(l_hat(4)^2+l_hat(5)^2+l_hat(6)^2), l_hat(6)/sqrt(l_hat(4)^2+l_hat(5)^2+l_hat(6)^2)];
A3 = [l_hat(7)/sqrt(l_hat(7)^2+l_hat(8)^2+l_hat(9)^2), l_hat(8)/sqrt(l_hat(7)^2+l_hat(8)^2+l_hat(9)^2), l_hat(9)/sqrt(l_hat(7)^2+l_hat(8)^2+l_hat(9)^2)];
A4 = [l_hat(10)/sqrt(l_hat(10)^2+l_hat(11)^2+l_hat(12)^2), l_hat(11)/sqrt(l_hat(10)^2+l_hat(11)^2+l_hat(12)^2), l_hat(12)/sqrt(l_hat(10)^2+l_hat(11)^2+l_hat(12)^2)];
A5 = [l_hat(13)/sqrt(l_hat(13)^2+l_hat(14)^2+l_hat(15)^2), l_hat(14)/sqrt(l_hat(13)^2+l_hat(14)^2+l_hat(15)^2), l_hat(15)/sqrt(l_hat(13)^2+l_hat(14)^2+l_hat(15)^2)];
A6 = [l_hat(16)/sqrt(l_hat(16)^2+l_hat(17)^2+l_hat(18)^2), l_hat(17)/sqrt(l_hat(16)^2+l_hat(17)^2+l_hat(18)^2), l_hat(18)/sqrt(l_hat(16)^2+l_hat(17)^2+l_hat(18)^2)];
A7 = [l_hat(19)/sqrt(l_hat(19)^2+l_hat(20)^2+l_hat(21)^2), l_hat(20)/sqrt(l_hat(19)^2+l_hat(20)^2+l_hat(21)^2), l_hat(21)/sqrt(l_hat(19)^2+l_hat(20)^2+l_hat(21)^2)];

%Finner submatrisene av C for hver enkelt baseline (covariansene innad i baselinja):
C1 = zeros(3,3);
C2 = zeros(3,3);
C3 = zeros(3,3);
C4 = zeros(3,3);
C5 = zeros(3,3);
C6 = zeros(3,3);
C7 = zeros(3,3);

str2 = size(C_ll);
for i = 1:str2(1)
    for j = 1:str2(2)
        if i < 4
            if j < 4
                C1(i,j) = C_ll(i,j);
            end
        elseif (i > 3) && (i < 7)
            if (j > 3) && (j < 7)
                C2(i-3,j-3) = C_ll(i,j);
            end
        elseif (i > 6) && (i < 10)
            if (j > 6) && (j < 10)
                C3(i-6,j-6) = C_ll(i,j);
            end
        elseif (i > 9) && (i < 13)
            if (j > 9) && (j < 13)
                C4(i-9,j-9) = C_ll(i,j);
            end
        elseif (i > 12) && (i < 16)
            if (j > 12) && (j < 16)
                C5(i-12,j-12) = C_ll(i,j);
            end
        elseif (i > 15) && (i < 19)
            if (j > 15) && (j < 19)
                C6(i-15,j-15) = C_ll(i,j);
            end
        else
            if (j >18)
                C7(i-18,j-18) = C_ll(i,j);
            end
        end
    end
end

std_dev = zeros(1,7);
std_dev(1) = sqrt(A1*C1*A1');
std_dev(2) = sqrt(A2*C2*A2');
std_dev(3) = sqrt(A3*C3*A3');
std_dev(4) = sqrt(A4*C4*A4');
std_dev(5) = sqrt(A5*C5*A5');
std_dev(6) = sqrt(A6*C6*A6');
std_dev(7) = sqrt(A7*C7*A7');

end

